// Copyright 2025, IPng Networks GmbH, Pim van Pelt <pim@ipng.ch>

package main

import (
	"testing"
)

func TestVersion(t *testing.T) {
	if Version == "" {
		t.Error("Version constant should not be empty")
	}

	// Test that version follows semantic versioning pattern
	// This is a basic check - could be more sophisticated
	if len(Version) < 5 { // minimum "1.0.0" format
		t.Errorf("Version '%s' seems too short for semantic versioning", Version)
	}
}
